Checkout settings
Show a checkout settings
Show the current checkout settings for the company.
GET
/
api
/
settings
/
checkout
Show a checkout settings
curl --request GET \
--url https://api.fluid.app/api/settings/checkout \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/settings/checkout"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/settings/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/settings/checkout",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/settings/checkout"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/settings/checkout")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/settings/checkout")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 1405,
"name": "Dunder Mifflin Paper Company",
"favicon_url": "https://cdn.fluid.app/companies/1405/brand/favicon.ico",
"primary_domain_hostname": "shop.dundermifflin.com",
"subdomain": "dunder-mifflin",
"logo_url": "https://cdn.fluid.app/companies/1405/brand/dunder-mifflin-logo.png",
"fluid_shop": "dunder-mifflin.fluid.app",
"collect_phone": true,
"require_phone": false,
"require_billing_zip": true,
"checkout_primary_button_color": "#1F4E8C",
"checkout_primary_text_color": "#FFFFFF",
"checkout_secondary_button_color": "#E8EDF3",
"checkout_secondary_text_color": "#1F4E8C",
"order_on_behalf": true,
"reward_points_enabled": true,
"reward_points_apply_to_subtotal": false,
"reward_points_label_singular": "point",
"reward_points_label_plural": "points",
"collect_sms_marketing": false,
"collect_email_marketing": true,
"bundle_subscriptions": false,
"hide_volume_on_customer_surfaces": true,
"isolated_payment_tokens": false,
"kount_environment": "production",
"kount_client_id": "150953359757648"
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Response
Success
⌘I
Show a checkout settings
curl --request GET \
--url https://api.fluid.app/api/settings/checkout \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/settings/checkout"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/settings/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/settings/checkout",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/settings/checkout"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/settings/checkout")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/settings/checkout")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 1405,
"name": "Dunder Mifflin Paper Company",
"favicon_url": "https://cdn.fluid.app/companies/1405/brand/favicon.ico",
"primary_domain_hostname": "shop.dundermifflin.com",
"subdomain": "dunder-mifflin",
"logo_url": "https://cdn.fluid.app/companies/1405/brand/dunder-mifflin-logo.png",
"fluid_shop": "dunder-mifflin.fluid.app",
"collect_phone": true,
"require_phone": false,
"require_billing_zip": true,
"checkout_primary_button_color": "#1F4E8C",
"checkout_primary_text_color": "#FFFFFF",
"checkout_secondary_button_color": "#E8EDF3",
"checkout_secondary_text_color": "#1F4E8C",
"order_on_behalf": true,
"reward_points_enabled": true,
"reward_points_apply_to_subtotal": false,
"reward_points_label_singular": "point",
"reward_points_label_plural": "points",
"collect_sms_marketing": false,
"collect_email_marketing": true,
"bundle_subscriptions": false,
"hide_volume_on_customer_surfaces": true,
"isolated_payment_tokens": false,
"kount_environment": "production",
"kount_client_id": "150953359757648"
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}